Version: 6.2
Release: 1%{?dist}
URL:     https://github.com/tonsky/FiraCode

%global foundry           nprokopov
%global fontlicense       OFL
%global fontlicenses      LICENSE
%global fontdocs          README.txt

%global fontfamily        Fira Code
%global fontsummary       Monospaced font base on Fira Mono with programming ligatures
%global fonts             ttf/*.ttf variable_ttf/*.ttf
%global fontconfs         %{SOURCE10}
%global fontdescription   %{expand:
Fira Code is an extension of the Fira Mono font containing a set of ligatures
for common programming multi-character combinations. This is just a font
rendering feature: underlying code remains ASCII-compatible. This helps to read
and understand code faster. For some frequent sequences like .. or //, ligatures
allow us to correct spacing.
}

Source0:        https://github.com/tonsky/FiraCode/releases/download/%{version}/Fira_Code_v%{version}.zip
Source1:        https://raw.githubusercontent.com/tonsky/FiraCode/master/LICENSE
Source10:       64-%{fontpkgname}.conf

%fontpkg

%prep
%setup -c
cp %{SOURCE1} .

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
* Wed Dec 22 2021 Olivier Samyn <code@oleastre.be> - 6.2-1
- New upstream release

* Wed Aug 04 2021 Olivier Samyn <code@oleastre.be> - 5.2-3
- Correct generic font family

* Sun Jul 11 2021 Olivier Samyn <code@oleastre.be> - 5.2-2
- Switch to new font packaging spec format

* Sat Jun 13 2020 Olivier Samyn 🎻 <code@oleastre.be> - 5.2-1
- New upstream version

* Thu Jun 11 2020 Olivier Samyn 🎻 <code@oleastre.be> - 5.1-1
- New upstream version

* Mon Jun 08 2020 Olivier Samyn 🎻 <code@oleastre.be> - 5-1
- New upstream version
- Switch to ttf (as upstream does not release otf anymore)

* Mon May 18 2020 Olivier Samyn 🎻 <code@oleastre.be> - 4-1
- New upstream release
- Correct download url

* Wed Apr 15 2020 Olivier Samyn 🎻 <code@oleastre.be> - 3.1-1
- New upstream release

* Fri Apr 10 2020 Olivier Samyn 🎻 <code@oleastre.be> - 3-1
- New upstream version

* Wed Sep 11 2019 Olivier Samyn 🎻 <code@oleastre.be> - 2-1
- New upstream release

* Tue Jul 30 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.207-1
- New upstream release.

* Tue Oct 02 2018 Olivier Samyn 🎻 <code@oleastre.be> - 1.206-1
- New upstream release.

* Fri Mar 02 2018 Olivier Samyn <code@oleastre.be> - 1.205-1
- Slashed zero by default (#481 #342)
- Adjusted vertical position of colon : near {()} (#486)
- Thin backslash except when in \\, removed \\\ (#536)
- Added :> (#547) and <: (#525)
- Removed =< (#479 #468 #424 #406 #355 #305)
- Added ::= (#539)
- Added [| |] (#516) {| |} (#330)
- Added ✓ (U+2713)
- Added ..= (#433)
- Added =!= (#338)
- Added |- -| _|_ and adjusted |= ||= (#494)
- Added #= (#208)

* Mon Apr 10 2017 Olivier Samyn <code@oleastre.be> - 1.204-2
- Updated spec filename to match package name

* Sun Nov 06 2016 Olivier Samyn <code@oleastre.be> - 1.204-1
- New upstream release.

* Fri Oct 28 2016 Olivier Samyn <code@oleastre.be> - 1.203-1
- Initial rpm
